<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Entity;

use Sylius\Component\Core\Model\ImageInterface;
use Symfony\Component\Validator\Constraints as Assert;

class BlogConfigurationTranslation extends AbstractReferableTranslation implements BlogConfigurationTranslationInterface
{
    protected ?int $id = null;

    /** @Assert\Length(max="255", groups={"default", "sylius"}) */
    protected ?string $title = null;

    protected ?string $description = null;

    protected ?ImageInterface $banner = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function setTitle(?string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function getDescription(): ?string
    {
        return $this->description;
    }

    public function setDescription(?string $description): self
    {
        $this->description = $description;

        return $this;
    }

    public function getBanner(): ?ImageInterface
    {
        return $this->banner;
    }

    public function setBanner(?ImageInterface $banner): self
    {
        $banner->setOwner($this);
        $this->banner = $banner;

        return $this;
    }
}
